List k8s cluster pools
curl --request GET \
--url https://api.gcore.com/cloud/v2/k8s/clusters/{project_id}/{region_id}/{cluster_name}/pools \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v2/k8s/clusters/{project_id}/{region_id}/{cluster_name}/pools"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v2/k8s/clusters/{project_id}/{region_id}/{cluster_name}/pools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"auto_healing_enabled": true,
"boot_volume_size": 50,
"boot_volume_type": "ssd_hiiops",
"created_at": "2023-02-15T11:53:03+03:00",
"crio_config": {
"default-ulimits": "nofile=1024:2048"
},
"flavor_id": "g1-standard-1-2",
"id": "f01fd9a0-9548-48ba-82dc-a8c8b2d6f2f1",
"is_public_ipv4": true,
"kubelet_config": {
"podMaxPids": "4096"
},
"labels": {
"my-label": "foo"
},
"max_node_count": 10,
"min_node_count": 1,
"name": "test",
"node_count": 2,
"security_group_ids": [
"e6ea8f35-82ce-4fb2-b51c-6a24a3a23bce"
],
"status": "Running",
"taints": {
"my-taint": "bar:NoSchedule"
},
"servergroup_id": "1772de21-f013-4b70-9f8f-a518985b3bc2",
"servergroup_name": "my-server-group",
"servergroup_policy": "anti-affinity"
}
]
}Managed Kubernetes
List k8s cluster pools
GET
/
cloud
/
v2
/
k8s
/
clusters
/
{project_id}
/
{region_id}
/
{cluster_name}
/
pools
List k8s cluster pools
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
7
Cluster name
Example:
"my-cluster"
Query Parameters
Optional. Limit the number of returned items
Required range:
x <= 1000Example:
1000
Optional. Offset value is used to exclude the first set of records from the result
Required range:
x >= 0Example:
0
Was this page helpful?
⌘I